import { PageResult } from "./common";

// 复核校验
export interface ReviewTaskListItem {
  id: number;
  subjectCode: string;
  subjectName: string;
  examNumber: string;
  markStatus: boolean;
  breachCount: number;
}

export interface ReviewProgressResult {
  finishCount: number;
  todoCount: number;
}

export interface ReviewTaskSaveParams {
  id: number;
  result: boolean;
}

export type ReviewTaskHistoryResult = PageResult<ReviewTaskListItem>;
